API Docs
YMS API
Load Controller
POST Update Load

POST Update load

Introduction

Update an existing load by its load ID. This API allows you to modify load details such as carrier, customer, equipment information, order references, item lines, and dynamic field values. Only the fields provided in the request body will be updated.

POST /load/{loadId}/update

Body Request Parameters

{
  "loadStatus": "NEW",
  "loadNo": "string",
  "shipMethod": "TRUCK_LOAD",
  "carrierId": "string",
  "appointmentTime": "2025-08-08T10:00:00",
  "appointmentId": "string",
  "orderIds": [
    "string"
  ],
  "customerId": "string",
  "masterBol": "string",
  "sealNo": "123456",
  "dynamicFieldValues": [
    {
      "fieldCode": "string",
      "value": "string",
      "values": [
        "string"
      ]
    }
  ],
  "equipmentType": "TRAILER",
  "equipmentNo": "string"
}

Request Parameters

NameLocationTypeRequiredDescription
loadIdpathstringYesLoad ID
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
Item-Bam-ClientheaderstringNonone
x-facility-idheaderstringNonone
bodybodyobjectNonone
» loadStatusbodystringNoCurrent status of the load. Allowed values: NEW, WINDOW_CHECKIN_DONE, LOADING, LOADED, SHIPPED, CANCELLED
» loadNobodystringNoHuman-readable load number or reference
» shipMethodbodystringNoShipping method
» carrierIdbodystringNoAssociated carrier identifier
» appointmentTimebodystringNoAppointment time
» appointmentIdbodystringNoRelated appointment identifier
» orderIdsbody[string]NoList of related order identifiers
» customerIdbodystringNoAssociated customer identifier
» masterBolbodystringNoMaster bill of lading number
» sealNobodystringNoSeal number used on the trailer or container
» dynamicFieldValuesbody[object]NoDynamic field values for custom attributes
»» fieldCodebodystringYesField code
»» valuebodystringNonone
»» valuesbody[string]No多选值列表,优先于 value 使用
» equipmentTypebodystringNoEquipment type,allowed values: TRAILER,CONTAINER,CHASSIS,FLATBED,OTHER
» equipmentNobodystringNoEquipment number

Enum Values

PropertyValue
» shipMethodTRUCK_LOAD
» shipMethodSMALL_PARCEL
» shipMethodLTL
» shipMethodWILL_CALL
» equipmentTypeVEHICLE
» equipmentTypeTRAILER
» equipmentTypeCHASSIS
» equipmentTypeCONTAINER
» equipmentTypeFLATBED
» equipmentTypeOTHER
» equipmentTypeNO_EQUIPMENT

Response Example

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": "",
    "loadId": "",
    "loadStatus": "",
    "loadNo": "",
    "shipMethod": "",
    "carrierId": "",
    "appointmentTime": "",
    "appointmentId": "",
    "orderIds": [
      ""
    ],
    "customerId": "",
    "masterBol": "",
    "sealNo": "",
    "customerName": "",
    "carrierName": "",
    "orderViews": [
      {
        "id": 0,
        "orderId": "",
        "orderStatus": "",
        "customerId": "",
        "poNo": "",
        "referenceNo": "",
        "retailer": "",
        "shipFrom": "",
        "shipTo": "",
        "totalPalletQty": 0,
        "totalCartonQty": 0,
        "itemInfos": [
          {
            "itemId": "",
            "itemName": "",
            "itemQty": "",
            "palletQty": "",
            "itemSpecDesc": "",
            "itemSpecName": "",
            "uomId": "",
            "qty": ""
          }
        ],
        "customerName": "",
        "carrierName": "",
        "shipToAddress": {
          "id": "",
          "name": "",
          "country": "",
          "state": "",
          "city": "",
          "zipCode": "",
          "fax": "",
          "address1": "",
          "address2": "",
          "contact": "",
          "phone": "",
          "extension": "",
          "email": "",
          "orgId": "",
          "orgName": "",
          "referenceNo": "",
          "batchCode": "",
          "storeNo": "",
          "shorthand": "",
          "toHome": false,
          "tags": [
            ""
          ],
          "latitude": "",
          "longitude": "",
          "crmAddressId": ""
        },
        "shipFromAddress": {
          "id": "",
          "name": "",
          "country": "",
          "state": "",
          "city": "",
          "zipCode": "",
          "fax": "",
          "address1": "",
          "address2": "",
          "contact": "",
          "phone": "",
          "extension": "",
          "email": "",
          "orgId": "",
          "orgName": "",
          "referenceNo": "",
          "batchCode": "",
          "storeNo": "",
          "shorthand": "",
          "toHome": false,
          "tags": [
            ""
          ],
          "latitude": "",
          "longitude": "",
          "crmAddressId": ""
        },
        "appointmentTime": "",
        "dynamicFieldValues": [
          {
            "entityId": "",
            "entityType": "",
            "fieldCode": "",
            "value": "",
            "fieldName": "",
            "longValue": "",
            "shortValue": ""
          }
        ],
        "proNos": [
          ""
        ],
        "invoicePros": [
          ""
        ],
        "doNos": [
          ""
        ],
        "tripNo": "",
        "shippedTime": ""
      }
    ],
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "fieldName": "",
        "longValue": "",
        "shortValue": ""
      }
    ],
    "equipmentType": "",
    "equipmentNo": "",
    "referenceNoList": [
      ""
    ],
    "poNoList": [
      ""
    ],
    "templateLoadKey": "",
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNos": [
      ""
    ],
    "loadType": "",
    "stagingLocationName": "",
    "shippedTime": ""
  }
}
{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": "",
    "loadId": "",
    "loadStatus": "",
    "loadNo": "",
    "shipMethod": "",
    "carrierId": "",
    "appointmentTime": "",
    "appointmentId": "",
    "orderIds": [
      ""
    ],
    "customerId": "",
    "masterBol": "",
    "sealNo": "",
    "customerName": "",
    "carrierName": "",
    "orderViews": [
      {
        "id": 0,
        "orderId": "",
        "orderStatus": "",
        "customerId": "",
        "poNo": "",
        "referenceNo": "",
        "retailer": "",
        "shipFrom": "",
        "shipTo": "",
        "totalPalletQty": 0,
        "totalCartonQty": 0,
        "itemInfos": [
          {
            "itemId": "",
            "itemName": "",
            "itemQty": "",
            "palletQty": "",
            "itemSpecDesc": "",
            "itemSpecName": "",
            "uomId": "",
            "qty": ""
          }
        ],
        "customerName": "",
        "carrierName": "",
        "shipToAddress": {
          "id": "",
          "name": "",
          "country": "",
          "state": "",
          "city": "",
          "zipCode": "",
          "fax": "",
          "address1": "",
          "address2": "",
          "contact": "",
          "phone": "",
          "extension": "",
          "email": "",
          "orgId": "",
          "orgName": "",
          "referenceNo": "",
          "batchCode": "",
          "storeNo": "",
          "shorthand": "",
          "toHome": false,
          "tags": [
            ""
          ],
          "latitude": "",
          "longitude": "",
          "crmAddressId": ""
        },
        "shipFromAddress": {
          "id": "",
          "name": "",
          "country": "",
          "state": "",
          "city": "",
          "zipCode": "",
          "fax": "",
          "address1": "",
          "address2": "",
          "contact": "",
          "phone": "",
          "extension": "",
          "email": "",
          "orgId": "",
          "orgName": "",
          "referenceNo": "",
          "batchCode": "",
          "storeNo": "",
          "shorthand": "",
          "toHome": false,
          "tags": [
            ""
          ],
          "latitude": "",
          "longitude": "",
          "crmAddressId": ""
        },
        "appointmentTime": "",
        "dynamicFieldValues": [
          {
            "entityId": "",
            "entityType": "",
            "fieldCode": "",
            "value": "",
            "values": [
              ""
            ],
            "fieldName": "",
            "longValue": "",
            "shortValue": "",
            "valueType": "",
            "optionsType": "",
            "options": [
              ""
            ]
          }
        ],
        "proNos": [
          ""
        ],
        "invoicePros": [
          ""
        ],
        "doNos": [
          ""
        ],
        "tripNo": "",
        "shippedTime": ""
      }
    ],
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "values": [
          ""
        ],
        "fieldName": "",
        "longValue": "",
        "shortValue": "",
        "valueType": "",
        "optionsType": "",
        "options": [
          ""
        ]
      }
    ],
    "equipmentType": "",
    "equipmentNo": "",
    "referenceNoList": [
      ""
    ],
    "poNoList": [
      ""
    ],
    "templateLoadKey": "",
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNos": [
      ""
    ],
    "loadType": "",
    "stagingLocationName": "",
    "shippedTime": "",
    "entryId": "",
    "bolDriverSigned": false
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRLoadView